Bug 28379 - Elasticsearch - Add 710 to author-name-corporate index (MARC21)
Summary: Elasticsearch - Add 710 to author-name-corporate index (MARC21)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-18 20:11 UTC by Caroline Cyr La Rose
Modified: 2021-12-13 21:14 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This enhancement adds the 710 to the author-name-corporate index mappings for MARC21 in Elasticsearch.
Version(s) released in:
21.11.00


Attachments
Bug 28379: Elasticsearch - Add 710 to author-name-corporate index (MARC21) (907 bytes, patch)
2021-05-18 20:17 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 28379: Elasticsearch - Add 710 to author-name-corporate index (MARC21) (955 bytes, patch)
2021-08-06 21:57 UTC, David Nind
Details | Diff | Splinter Review
Bug 28379: Elasticsearch - Add 710 to author-name-corporate index (MARC21) (1.41 KB, patch)
2021-08-10 11:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-05-18 20:11:27 UTC
710 is missing from the default mappings for author-name-corporate (it currently contains 110, 111, 711, 810, and 811). This is clearly a simple omission.
Comment 1 Caroline Cyr La Rose 2021-05-18 20:17:45 UTC
Created attachment 121127 [details] [review]
Bug 28379: Elasticsearch - Add 710 to author-name-corporate index (MARC21)

This patch adds 710 to the default author-name-corporate index mappings for 
elasticsearch.

To test:
1) Apply patch
2) Reindex using rebuild_elasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings" 
and confirm
2b) Then reindex

3) Search for an author name found only in 710 using the Author (Corporate name) index 
in advanced search
Comment 2 David Nind 2021-08-06 21:57:48 UTC
Created attachment 123589 [details] [review]
Bug 28379: Elasticsearch - Add 710 to author-name-corporate index (MARC21)

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-08-10 11:49:07 UTC
Hi Caroline, be careful - you cannot add a commit message with git bz attach, you need to do it with git commit or git commit --amend, otherwise it won't become part of the patch file, but only displays on bugzilla. Fixed here and on another patch.
Comment 4 Katrin Fischer 2021-08-10 11:49:51 UTC
Created attachment 123678 [details] [review]
Bug 28379: Elasticsearch - Add 710 to author-name-corporate index (MARC21)

This patch adds 710 to the default author-name-corporate index mappings for
elasticsearch.

To test:
1) Apply patch
2) Reindex using rebuild_elasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings"
and confirm
2b) Then reindex

3) Search for an author name found only in 710 using the Author (Corporate name) index
in advanced search

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-08-16 10:04:48 UTC
Pushed to master for 21.11, thanks to everybody involved!